﻿@using Abp.MultiTenancy
@using DeepBridge.Web.Models.Common.Modals
@using DeepBridge.Web.Views.Shared.Components.TenantChange
@model ChangeModalViewModel
@{
    Layout = null;
}
@await Html.PartialAsync("~/Views/Shared/Modals/_ModalHeader.cshtml", new ModalHeaderViewModel(L("ChangeTenant")))

<form name="TenantChangeForm" role="form" novalidate class="form-horizontal">
    <div class="modal-body">
        <div class="form-group row">
            <label class="col-md-3 col-form-label" for="TenancyName">@L("TenancyName")</label>
            <div class="col-md-9">
                <input id="TenancyName" name="TenancyName" class="form-control" type="text" maxlength="@AbpTenantBase.MaxTenancyNameLength.ToString()" value="@Model.TenancyName">
            </div>
        </div>
        <span><i class="fa fa-info-circle"></i> @L("LeaveEmptyToSwitchToHost")</span>
    </div>
    @await Html.PartialAsync("~/Views/Shared/Modals/_ModalFooterWithSaveAndCancel.cshtml")
</form>

<script src="~/view-resources/Views/Shared/Components/TenantChange/_ChangeModal.js" asp-append-version="true"></script>
